import setuptools  #导入工具包

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()
# 读写README.md 文件

setuptools.setup(
    name="adtium",  #项目名称
    version="0.7.60", #项目版本
    author="极客子夜", #开发者名称
    author_email="gfl13453001@163.com",  #邮箱
    description="高性能测试工具库",  #描述
    long_description=long_description, 
    long_description_content_type="text/markdown",
    url="https://github.com/PepperPapa/xinNotes", #github地址
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ], #依赖环境

    # Appium-Python-Client==0.49
    # certifi==2019.11.28
    # chardet==3.0.4
    # decorator==4.4.1
    # facebook-wda==0.4.2
    # Faker==3.0.0
    # idna==2.8
    # Pillow==6.2.1
    # py==1.8.1
    # PyMySQL==0.9.3
    # pytesseract==0.3.1
    # python-dateutil==2.8.1
    # requests==2.22.0
    # retry==0.9.2
    # selenium==3.141.0
    # six==1.13.0
    # testdata==1.1.3
    # text-unidecode==1.3
    # urllib3==1.25.7


    install_requires = [' Appium-Python-Client==0.49',
                        'testdata==1.1.3',
                        'PyMySQL==0.9.3'

                        ] #第三方依赖包
)
